Package org.apache.sysds.runtime.instructions.gpu.context

# Class GPUMemoryEviction

java.lang.Object
org.apache.sysds.runtime.instructions.gpu.context.GPUMemoryEviction

All Implemented Interfaces:
  `Runnable`

public class GPUMemoryEviction extends Object implements Runnable

## Constructor Summary

Constructors
Constructor
Description
`GPUMemoryEviction()`
`GPUMemoryEviction(int num)`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GPUMemoryEviction

public GPUMemoryEviction(int num)

### GPUMemoryEviction

public GPUMemoryEviction()

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`